/*
    gUserMan- A GTK+ User manager
    Copyright (C) 1999 Scott Fritzinger 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of 
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Create the groups page widget */
	GtkWidget	*create_groups_widget();
	
/* Reads/saves group file to/from grouplist */
	void		read_groups(GtkWidget *clist);
	void		save_groups(GtkWidget *clist);

/* Compares groups in the clist */
	gint		compare_groups_clist(GtkCList *clist,
				gpointer one, gpointer two);

/* Group editor dialog */
	void		edit_group_dialog (GtkWidget *clist, int new);

/* callbacks for buttons in the main window */
	void		sort_group_clicked  (gchar *type);
	void		add_group_clicked   (GtkWidget *clist);
	void		edit_group_clicked  (GtkWidget *clist);
	void		remove_group_clicked(GtkWidget *clist);
	void		save_groups_clicked (GtkWidget *widget);

/* callback for the clist row selection */
	gint 		group_clist_clicked (GtkWidget *clist, 
				       gint row, gint col,
				       GdkEvent *event);

/* gets a groups name from the gid number */
	gchar		*get_group_name (gint gid);
