/*
    gUserMan- A GTK+ User manager
    Copyright (C) 1999 Scott Fritzinger 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of 
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <gtk/gtk.h>
#include <glib.h>

#include <crypt.h>
#include <grp.h>
#include <pwd.h>
#include <shadow.h>

#include <dirent.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <time.h>
#include <unistd.h>


#include "user.h" 
#include "group.h" 
#include "passwd.h" 
#include "callbacks.h"

#define		passwd_file	"/etc/passwd"
#define		shadow_file	"/etc/shadow"
#define		group_file	"/etc/group"

#define		VERSION		"0.1"

/* Creates the userman main widget. it is done this way to ease 
   the creation of a GNOME capplet if someone wants to do that */
	GtkWidget	*create_userman();

/* The final exit out of the program */
	gint		 main_quit(gpointer data);
