/*
    gUserMan- A GTK+ User manager
    Copyright (C) 1999 Scott Fritzinger 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of 
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Gets a new password, and sets the entry with the new crypted
   password */
	void		 set_password_dialog (GtkWidget *entry);

/* Create the user page widget */
	GtkWidget	*create_users_widget();

/* Reads/saves passwd/shadow file to/from userlist */
	void		read_users(GtkWidget *clist);
	void		save_users(GtkWidget *clist);

/* Sorting functions */
	gint		compare_users_clist(GtkCList *clist,
				gpointer one, gpointer two);
/* User editor dialog */
	void		edit_user_dialog (GtkWidget *clist, int new);

/* callbacks for buttons in the main window */
	void		user_sort_clicked  (gchar *type);
	void		add_user_clicked   (GtkWidget *clist);
	void		edit_user_clicked  (GtkWidget *clist);
	void		remove_user_clicked(GtkWidget *clist);
	void		template_clicked   (GtkWidget *clist);
	void		save_users_clicked (GtkWidget *clist);

/* callback for the clist row selection */
	gint 		user_clist_clicked (GtkWidget *clist, 
				       gint row, gint col,
				       GdkEvent *event);

struct q_create_dir_entry {
	gint	copy;
	gint	create;
	gint	gid;
	gchar  *dir;
	gchar  *login;
};
