/*
    gUserMan- A GTK+ User manager
    Copyright (C) 1999 Scott Fritzinger 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of 
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Displays a window with "title" shows the "message" */
	void		message_window      (gchar *title, gchar *message);
	void		message_window_long (gchar *title, gchar *message);

/* Shows a confirm window with "title" and the "message"
   Returns 0 if "no" was clicked, "1" if "yes" was clicked */
	gint		confirm_window      (gchar *title, gchar *message);

/* Shows a dialog, and waits until it is hidden
   Returns 0 if "cancel" was clicked, "1" if "ok" was clicked */
	gint		wait_for_hide (GtkWidget *dialog, 
				       GtkWidget *ok_button,
				       GtkWidget *cancel_button);

/* Converts a month/day/year to a time_t */
	time_t		date_to_time_t (int month, int day, int year);

/* Reads/writes the configuration */
	void		read_config();
	void		save_config();
